Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "MAIN",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"sourceBranchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Branches
Create branch
POST
/
projects
/
{projectId}
/
branches
Error
A valid request URL is required to generate request examples{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"type": "MAIN",
"status": "ACTIVE",
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"sourceBranchId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"headCommitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
201 - application/json
Branch created
Available options:
MAIN, FEATURE, RELEASE, HOTFIX Available options:
ACTIVE, MERGED, CLOSED